# Swarms Docs

Welcome to Swarm's Documentation!

Swarms is a modular framework that enables reliable and useful multi-agent collaboration at scale to automate real-world tasks.

Swarms is transforming the landscape of AI from siloed AI agents to a unified 'swarm' of intelligence. Through relentless iteration and the power of collective insight from our 1500+ Agora researchers, we're developing a groundbreaking framework for AI collaboration. Our mission is to catalyze a paradigm shift, advancing Humanity with the power of unified autonomous AI agent swarms.


This documentation covers the fundamentals of the **Swarms** framework and describes how to use **Swarms Tools**.

## Swarms

The Swarms framework provides developers with the ability to create AI systems that operate across two dimensions: predictability and creativity. For predictability, Swarms enforces structures like sequential pipelines, DAG-based workflows, and long-term memory. To facilitate creativity, Swarms safely prompts LLMs with [tools](https://github.com/kyegomez/swarms-tools) and short-term memory connecting them to external APIs and data stores. The framework allows developers to transition between those two dimensions effortlessly based on their use case.

Swarms not only helps developers harness the potential of LLMs but also enforces trust boundaries, schema validation, and tool activity-level permissions. By doing so, Swarms maximizes LLMs’ reasoning while adhering to strict policies regarding their capabilities.

[Learn more about swarms →](swarms/)


## Examples

Check out Swarms examples for building agents, data retrieval, and more.

[Checkout Swarms examples →](examples/)
